> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Resource Owner Password Grant

> Deprecated endpoint that authenticates a user with credentials and returns an Access Token and ID Token.

## Endpoint

`POST /oauth/ro`

Given the user's credentials, this endpoint will authenticate the user with the provider and return a JSON object with the Access Token and an ID Token.

> [!NOTE]
>
> This endpoint is part of the legacy authentication pipeline and has been replaced in favor of the [Password Grant](#resource-owner-password). For more information on the latest authentication pipeline refer to [Introducing OIDC Conformant Authentication](https://docs-staging.auth0-mintlify.app/api-auth/intro).

### Remarks

* This endpoint only works for database connections, passwordless connections, Active Directory/LDAP, Windows Azure AD, and ADFS.
* The `profile` scope requests access to the End-User's default profile Claims, which include `name`, `family_name`, `given_name`, and others.
* The `email` scope requests access to the `email` and `email_verified` Claims.

### Learn More

* [Calling APIs from Highly Trusted Applications](https://auth0.com/docs/get-started/authentication-and-authorization-flow/resource-owner-password-flow)

## Body Parameters

**client\_id** `string` *required*

**connection** `string` *required*

**grant\_type** `string` *required*

Allowed values: `password`

**username** `string` *required*

**password** `string` *required*

**scope** `string`

**id\_token** `string`

**device** `string`

## Response Messages

| Status | Description |
| - | - |
| 200 | Successful authentication |
| 400 | Bad Request |
| 401 | Unauthorized |
| 429 | Too Many Requests |
| 403 | Forbidden |
| default | Unexpected error |
